> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pinkfish.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# asana-tasks

> Asana Tasks — create, update, search, and manage tasks, subtasks, dependencies, and task templates

**Server path:** `/asana-tasks` | **Type:** Application | **PCID required:** Yes

## Tools

| Tool                                                                                    | Description                             |
| --------------------------------------------------------------------------------------- | --------------------------------------- |
| [`asana_tasks_add_dependencies_for_task`](#asana_tasks_add_dependencies_for_task)       | Set dependencies for a task             |
| [`asana_tasks_add_dependents_for_task`](#asana_tasks_add_dependents_for_task)           | Set dependents for a task               |
| [`asana_tasks_add_followers_for_task`](#asana_tasks_add_followers_for_task)             | Add followers to a task                 |
| [`asana_tasks_add_project_for_task`](#asana_tasks_add_project_for_task)                 | Add a project to a task                 |
| [`asana_tasks_add_tag_for_task`](#asana_tasks_add_tag_for_task)                         | Add a tag to a task                     |
| [`asana_tasks_create_subtask_for_task`](#asana_tasks_create_subtask_for_task)           | Create a subtask                        |
| [`asana_tasks_create_task`](#asana_tasks_create_task)                                   | Create a task                           |
| [`asana_tasks_delete_task`](#asana_tasks_delete_task)                                   | Delete a task                           |
| [`asana_tasks_delete_task_template`](#asana_tasks_delete_task_template)                 | Delete a task template                  |
| [`asana_tasks_duplicate_task`](#asana_tasks_duplicate_task)                             | Duplicate a task                        |
| [`asana_tasks_get_dependencies_for_task`](#asana_tasks_get_dependencies_for_task)       | Get dependencies from a task            |
| [`asana_tasks_get_dependents_for_task`](#asana_tasks_get_dependents_for_task)           | Get dependents from a task              |
| [`asana_tasks_get_for_project`](#asana_tasks_get_for_project)                           | Get tasks from a project                |
| [`asana_tasks_get_for_section`](#asana_tasks_get_for_section)                           | Get tasks from a section                |
| [`asana_tasks_get_for_tag`](#asana_tasks_get_for_tag)                                   | Get tasks from a tag                    |
| [`asana_tasks_get_for_user_task_list`](#asana_tasks_get_for_user_task_list)             | Get tasks from a user task list         |
| [`asana_tasks_get_subtasks_for_task`](#asana_tasks_get_subtasks_for_task)               | Get subtasks from a task                |
| [`asana_tasks_get_task`](#asana_tasks_get_task)                                         | Get a task                              |
| [`asana_tasks_get_task_for_custom_id`](#asana_tasks_get_task_for_custom_id)             | Get a task for a given custom ID        |
| [`asana_tasks_get_task_template`](#asana_tasks_get_task_template)                       | Get a task template                     |
| [`asana_tasks_get_task_templates`](#asana_tasks_get_task_templates)                     | Get multiple task templates             |
| [`asana_tasks_get_tasks`](#asana_tasks_get_tasks)                                       | Get multiple tasks                      |
| [`asana_tasks_instantiate_task`](#asana_tasks_instantiate_task)                         | Instantiate a task from a task template |
| [`asana_tasks_remove_dependencies_for_task`](#asana_tasks_remove_dependencies_for_task) | Unlink dependencies from a task         |
| [`asana_tasks_remove_dependents_for_task`](#asana_tasks_remove_dependents_for_task)     | Unlink dependents from a task           |
| [`asana_tasks_remove_follower_for_task`](#asana_tasks_remove_follower_for_task)         | Remove followers from a task            |
| [`asana_tasks_remove_project_for_task`](#asana_tasks_remove_project_for_task)           | Remove a project from a task            |
| [`asana_tasks_remove_tag_for_task`](#asana_tasks_remove_tag_for_task)                   | Remove a tag from a task                |
| [`asana_tasks_search_tasks_for_workspace`](#asana_tasks_search_tasks_for_workspace)     | Search tasks in a workspace             |
| [`asana_tasks_set_parent_for_task`](#asana_tasks_set_parent_for_task)                   | Set the parent of a task                |
| [`asana_tasks_update_task`](#asana_tasks_update_task)                                   | Update a task                           |

***

## asana\_tasks\_add\_dependencies\_for\_task

Set dependencies for a task

**Parameters:**

| Parameter    | Type    | Required | Default | Description                                                                                                                                                                                                                                                                         |
| ------------ | ------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `task_gid`   | string  | Yes      | —       | The task to operate on.                                                                                                                                                                                                                                                             |
| `opt_pretty` | boolean | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
| `data`       | object  | No       | —       | The data value                                                                                                                                                                                                                                                                      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "task_gid": {
        "type": "string",
        "description": "The task to operate on."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "data": {
        "type": "object",
        "description": "The data value",
        "properties": {
          "dependencies": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "An array of task gids that a task depends on."
          }
        }
      }
    },
    "required": [
      "PCID",
      "task_gid"
    ]
  }
  ```
</Expandable>

***

## asana\_tasks\_add\_dependents\_for\_task

Set dependents for a task

**Parameters:**

| Parameter    | Type    | Required | Default | Description                                                                                                                                                                                                                                                                         |
| ------------ | ------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `task_gid`   | string  | Yes      | —       | The task to operate on.                                                                                                                                                                                                                                                             |
| `opt_pretty` | boolean | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
| `data`       | object  | No       | —       | A set of dependent tasks.                                                                                                                                                                                                                                                           |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "task_gid": {
        "type": "string",
        "description": "The task to operate on."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "data": {
        "type": "object",
        "description": "A set of dependent tasks.",
        "properties": {
          "dependents": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "An array of task gids that are dependents of the given task."
          }
        }
      }
    },
    "required": [
      "PCID",
      "task_gid"
    ]
  }
  ```
</Expandable>

***

## asana\_tasks\_add\_followers\_for\_task

Add followers to a task

**Parameters:**

| Parameter    | Type      | Required | Default | Description                                                                                                                                                                                                                                                                         |
| ------------ | --------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `task_gid`   | string    | Yes      | —       | The task to operate on.                                                                                                                                                                                                                                                             |
| `opt_pretty` | boolean   | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
| `opt_fields` | string\[] | No       | —       | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.                                                                         |
| `data`       | object    | No       | —       | The data value                                                                                                                                                                                                                                                                      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "task_gid": {
        "type": "string",
        "description": "The task to operate on."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "opt_fields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "actual_time_minutes",
            "approval_status",
            "assigned_by",
            "assigned_by.name",
            "assignee",
            "assignee.name",
            "assignee_section",
            "assignee_section.name",
            "assignee_status",
            "completed",
            "completed_at",
            "completed_by",
            "completed_by.name",
            "created_at",
            "created_by",
            "custom_fields",
            "custom_fields.asana_created_field",
            "custom_fields.created_by",
            "custom_fields.created_by.name",
            "custom_fields.currency_code",
            "custom_fields.custom_label",
            "custom_fields.custom_label_position",
            "custom_fields.date_value",
            "custom_fields.date_value.date",
            "custom_fields.date_value.date_time",
            "custom_fields.default_access_level",
            "custom_fields.description",
            "custom_fields.display_value",
            "custom_fields.enabled",
            "custom_fields.enum_options",
            "custom_fields.enum_options.color",
            "custom_fields.enum_options.enabled",
            "custom_fields.enum_options.name",
            "custom_fields.enum_value",
            "custom_fields.enum_value.color",
            "custom_fields.enum_value.enabled",
            "custom_fields.enum_value.name",
            "custom_fields.format",
            "custom_fields.has_notifications_enabled",
            "custom_fields.id_prefix",
            "custom_fields.input_restrictions",
            "custom_fields.is_formula_field",
            "custom_fields.is_global_to_workspace",
            "custom_fields.is_value_read_only",
            "custom_fields.multi_enum_values",
            "custom_fields.multi_enum_values.color",
            "custom_fields.multi_enum_values.enabled",
            "custom_fields.multi_enum_values.name",
            "custom_fields.name",
            "custom_fields.number_value",
            "custom_fields.people_value",
            "custom_fields.people_value.name",
            "custom_fields.precision",
            "custom_fields.privacy_setting",
            "custom_fields.reference_value",
            "custom_fields.reference_value.name",
            "custom_fields.representation_type",
            "custom_fields.resource_subtype",
            "custom_fields.text_value",
            "custom_fields.type",
            "custom_type",
            "custom_type.name",
            "custom_type_status_option",
            "custom_type_status_option.name",
            "dependencies",
            "dependents",
            "due_at",
            "due_on",
            "external",
            "external.data",
            "followers",
            "followers.name",
            "hearted",
            "hearts",
            "hearts.user",
            "hearts.user.name",
            "html_notes",
            "is_rendered_as_separator",
            "liked",
            "likes",
            "likes.user",
            "likes.user.name",
            "memberships",
            "memberships.project",
            "memberships.project.name",
            "memberships.section",
            "memberships.section.name",
            "modified_at",
            "name",
            "notes",
            "num_hearts",
            "num_likes",
            "num_subtasks",
            "parent",
            "parent.created_by",
            "parent.name",
            "parent.resource_subtype",
            "permalink_url",
            "projects",
            "projects.name",
            "resource_subtype",
            "start_at",
            "start_on",
            "tags",
            "tags.name",
            "workspace",
            "workspace.name"
          ]
        },
        "description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
      },
      "data": {
        "type": "object",
        "description": "The data value",
        "properties": {
          "followers": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "An array of strings identifying users. These can either be the string \"me\", an email, or the gid of a user."
          }
        },
        "required": [
          "followers"
        ]
      }
    },
    "required": [
      "PCID",
      "task_gid"
    ]
  }
  ```
</Expandable>

***

## asana\_tasks\_add\_project\_for\_task

Add a project to a task

**Parameters:**

| Parameter    | Type    | Required | Default | Description                                                                                                                                                                                                                                                                         |
| ------------ | ------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `task_gid`   | string  | Yes      | —       | The task to operate on.                                                                                                                                                                                                                                                             |
| `opt_pretty` | boolean | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
| `data`       | object  | No       | —       | The data value                                                                                                                                                                                                                                                                      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "task_gid": {
        "type": "string",
        "description": "The task to operate on."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "data": {
        "type": "object",
        "description": "The data value",
        "properties": {
          "project": {
            "type": "string",
            "description": "The project to add the task to."
          },
          "insert_after": {
            "type": "string",
            "description": "A task in the project to insert the task after, or `null` to insert at the beginning of the list. When used with `section`, `null` will insert at the beginning of the specified section, otherwise the task must be in the specified section."
          },
          "insert_before": {
            "type": "string",
            "description": "A task in the project to insert the task before, or `null` to insert at the end of the list. When used with `section`, `null` will insert at the end of the specified section, otherwise the task must be in the specified section."
          },
          "section": {
            "type": "string",
            "description": "A section in the project to insert the task into. The task will be inserted at the bottom of the section unless combined with `insert_before: null` (end of section) or `insert_after: null` (beginning of section). Can also be combined with non-null `insert_before` or `insert_after` to position relative to a task within the section."
          }
        },
        "required": [
          "project"
        ]
      }
    },
    "required": [
      "PCID",
      "task_gid"
    ]
  }
  ```
</Expandable>

***

## asana\_tasks\_add\_tag\_for\_task

Add a tag to a task

**Parameters:**

| Parameter    | Type    | Required | Default | Description                                                                                                                                                                                                                                                                         |
| ------------ | ------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `task_gid`   | string  | Yes      | —       | The task to operate on.                                                                                                                                                                                                                                                             |
| `opt_pretty` | boolean | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
| `data`       | object  | No       | —       | The data value                                                                                                                                                                                                                                                                      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "task_gid": {
        "type": "string",
        "description": "The task to operate on."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "data": {
        "type": "object",
        "description": "The data value",
        "properties": {
          "tag": {
            "type": "string",
            "description": "The tag's gid to add to the task."
          }
        },
        "required": [
          "tag"
        ]
      }
    },
    "required": [
      "PCID",
      "task_gid"
    ]
  }
  ```
</Expandable>

***

## asana\_tasks\_create\_subtask\_for\_task

Create a subtask

**Parameters:**

| Parameter    | Type      | Required | Default | Description                                                                                                                                                                                                                                                                         |
| ------------ | --------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `task_gid`   | string    | Yes      | —       | The task to operate on.                                                                                                                                                                                                                                                             |
| `opt_pretty` | boolean   | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
| `opt_fields` | string\[] | No       | —       | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.                                                                         |
| `data`       | object    | No       | —       | The data value                                                                                                                                                                                                                                                                      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "task_gid": {
        "type": "string",
        "description": "The task to operate on."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "opt_fields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "actual_time_minutes",
            "approval_status",
            "assigned_by",
            "assigned_by.name",
            "assignee",
            "assignee.name",
            "assignee_section",
            "assignee_section.name",
            "assignee_status",
            "completed",
            "completed_at",
            "completed_by",
            "completed_by.name",
            "created_at",
            "created_by",
            "custom_fields",
            "custom_fields.asana_created_field",
            "custom_fields.created_by",
            "custom_fields.created_by.name",
            "custom_fields.currency_code",
            "custom_fields.custom_label",
            "custom_fields.custom_label_position",
            "custom_fields.date_value",
            "custom_fields.date_value.date",
            "custom_fields.date_value.date_time",
            "custom_fields.default_access_level",
            "custom_fields.description",
            "custom_fields.display_value",
            "custom_fields.enabled",
            "custom_fields.enum_options",
            "custom_fields.enum_options.color",
            "custom_fields.enum_options.enabled",
            "custom_fields.enum_options.name",
            "custom_fields.enum_value",
            "custom_fields.enum_value.color",
            "custom_fields.enum_value.enabled",
            "custom_fields.enum_value.name",
            "custom_fields.format",
            "custom_fields.has_notifications_enabled",
            "custom_fields.id_prefix",
            "custom_fields.input_restrictions",
            "custom_fields.is_formula_field",
            "custom_fields.is_global_to_workspace",
            "custom_fields.is_value_read_only",
            "custom_fields.multi_enum_values",
            "custom_fields.multi_enum_values.color",
            "custom_fields.multi_enum_values.enabled",
            "custom_fields.multi_enum_values.name",
            "custom_fields.name",
            "custom_fields.number_value",
            "custom_fields.people_value",
            "custom_fields.people_value.name",
            "custom_fields.precision",
            "custom_fields.privacy_setting",
            "custom_fields.reference_value",
            "custom_fields.reference_value.name",
            "custom_fields.representation_type",
            "custom_fields.resource_subtype",
            "custom_fields.text_value",
            "custom_fields.type",
            "custom_type",
            "custom_type.name",
            "custom_type_status_option",
            "custom_type_status_option.name",
            "dependencies",
            "dependents",
            "due_at",
            "due_on",
            "external",
            "external.data",
            "followers",
            "followers.name",
            "hearted",
            "hearts",
            "hearts.user",
            "hearts.user.name",
            "html_notes",
            "is_rendered_as_separator",
            "liked",
            "likes",
            "likes.user",
            "likes.user.name",
            "memberships",
            "memberships.project",
            "memberships.project.name",
            "memberships.section",
            "memberships.section.name",
            "modified_at",
            "name",
            "notes",
            "num_hearts",
            "num_likes",
            "num_subtasks",
            "parent",
            "parent.created_by",
            "parent.name",
            "parent.resource_subtype",
            "permalink_url",
            "projects",
            "projects.name",
            "resource_subtype",
            "start_at",
            "start_on",
            "tags",
            "tags.name",
            "workspace",
            "workspace.name"
          ]
        },
        "description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
      },
      "data": {
        "description": "The data value"
      }
    },
    "required": [
      "PCID",
      "task_gid"
    ]
  }
  ```
</Expandable>

***

## asana\_tasks\_create\_task

Create a task

**Parameters:**

| Parameter    | Type      | Required | Default | Description                                                                                                                                                                                                                                                                         |
| ------------ | --------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `opt_pretty` | boolean   | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
| `opt_fields` | string\[] | No       | —       | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.                                                                         |
| `data`       | object    | No       | —       | The data value                                                                                                                                                                                                                                                                      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "opt_fields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "actual_time_minutes",
            "approval_status",
            "assigned_by",
            "assigned_by.name",
            "assignee",
            "assignee.name",
            "assignee_section",
            "assignee_section.name",
            "assignee_status",
            "completed",
            "completed_at",
            "completed_by",
            "completed_by.name",
            "created_at",
            "created_by",
            "custom_fields",
            "custom_fields.asana_created_field",
            "custom_fields.created_by",
            "custom_fields.created_by.name",
            "custom_fields.currency_code",
            "custom_fields.custom_label",
            "custom_fields.custom_label_position",
            "custom_fields.date_value",
            "custom_fields.date_value.date",
            "custom_fields.date_value.date_time",
            "custom_fields.default_access_level",
            "custom_fields.description",
            "custom_fields.display_value",
            "custom_fields.enabled",
            "custom_fields.enum_options",
            "custom_fields.enum_options.color",
            "custom_fields.enum_options.enabled",
            "custom_fields.enum_options.name",
            "custom_fields.enum_value",
            "custom_fields.enum_value.color",
            "custom_fields.enum_value.enabled",
            "custom_fields.enum_value.name",
            "custom_fields.format",
            "custom_fields.has_notifications_enabled",
            "custom_fields.id_prefix",
            "custom_fields.input_restrictions",
            "custom_fields.is_formula_field",
            "custom_fields.is_global_to_workspace",
            "custom_fields.is_value_read_only",
            "custom_fields.multi_enum_values",
            "custom_fields.multi_enum_values.color",
            "custom_fields.multi_enum_values.enabled",
            "custom_fields.multi_enum_values.name",
            "custom_fields.name",
            "custom_fields.number_value",
            "custom_fields.people_value",
            "custom_fields.people_value.name",
            "custom_fields.precision",
            "custom_fields.privacy_setting",
            "custom_fields.reference_value",
            "custom_fields.reference_value.name",
            "custom_fields.representation_type",
            "custom_fields.resource_subtype",
            "custom_fields.text_value",
            "custom_fields.type",
            "custom_type",
            "custom_type.name",
            "custom_type_status_option",
            "custom_type_status_option.name",
            "dependencies",
            "dependents",
            "due_at",
            "due_on",
            "external",
            "external.data",
            "followers",
            "followers.name",
            "hearted",
            "hearts",
            "hearts.user",
            "hearts.user.name",
            "html_notes",
            "is_rendered_as_separator",
            "liked",
            "likes",
            "likes.user",
            "likes.user.name",
            "memberships",
            "memberships.project",
            "memberships.project.name",
            "memberships.section",
            "memberships.section.name",
            "modified_at",
            "name",
            "notes",
            "num_hearts",
            "num_likes",
            "num_subtasks",
            "parent",
            "parent.created_by",
            "parent.name",
            "parent.resource_subtype",
            "permalink_url",
            "projects",
            "projects.name",
            "resource_subtype",
            "start_at",
            "start_on",
            "tags",
            "tags.name",
            "workspace",
            "workspace.name"
          ]
        },
        "description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
      },
      "data": {
        "description": "The data value"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## asana\_tasks\_delete\_task

Delete a task

**Parameters:**

| Parameter    | Type    | Required | Default | Description                                                                                                                                                                                                                                                                         |
| ------------ | ------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `task_gid`   | string  | Yes      | —       | The task to operate on.                                                                                                                                                                                                                                                             |
| `opt_pretty` | boolean | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "task_gid": {
        "type": "string",
        "description": "The task to operate on."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      }
    },
    "required": [
      "PCID",
      "task_gid"
    ]
  }
  ```
</Expandable>

***

## asana\_tasks\_delete\_task\_template

Delete a task template

**Parameters:**

| Parameter           | Type    | Required | Default | Description                                                                                                                                                                                                                                                                         |
| ------------------- | ------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `task_template_gid` | string  | Yes      | —       | Globally unique identifier for the task template.                                                                                                                                                                                                                                   |
| `opt_pretty`        | boolean | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "task_template_gid": {
        "type": "string",
        "description": "Globally unique identifier for the task template."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      }
    },
    "required": [
      "PCID",
      "task_template_gid"
    ]
  }
  ```
</Expandable>

***

## asana\_tasks\_duplicate\_task

Duplicate a task

**Parameters:**

| Parameter    | Type      | Required | Default | Description                                                                                                                                                                                                                                                                         |
| ------------ | --------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `task_gid`   | string    | Yes      | —       | The task to operate on.                                                                                                                                                                                                                                                             |
| `opt_pretty` | boolean   | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
| `opt_fields` | string\[] | No       | —       | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.                                                                         |
| `data`       | object    | No       | —       | The data value                                                                                                                                                                                                                                                                      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "task_gid": {
        "type": "string",
        "description": "The task to operate on."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "opt_fields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "new_graph_export",
            "new_graph_export.completed_at",
            "new_graph_export.created_at",
            "new_graph_export.download_url",
            "new_portfolio",
            "new_portfolio.name",
            "new_project",
            "new_project.name",
            "new_project_template",
            "new_project_template.name",
            "new_resource_export",
            "new_resource_export.completed_at",
            "new_resource_export.created_at",
            "new_resource_export.download_url",
            "new_task",
            "new_task.created_by",
            "new_task.name",
            "new_task.resource_subtype",
            "resource_subtype",
            "status"
          ]
        },
        "description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
      },
      "data": {
        "type": "object",
        "description": "The data value",
        "properties": {
          "name": {
            "type": "string",
            "description": "The name of the new task."
          },
          "include": {
            "type": "string",
            "description": "A comma-separated list of fields that will be duplicated to the new task. ##### Fields - assignee - attachments - dates - dependencies - followers - notes - parent - projects - subtasks - tags"
          }
        }
      }
    },
    "required": [
      "PCID",
      "task_gid"
    ]
  }
  ```
</Expandable>

***

## asana\_tasks\_get\_dependencies\_for\_task

Get dependencies from a task

**Parameters:**

| Parameter    | Type      | Required | Default | Description                                                                                                                                                                                                                                                                                                                                                    |
| ------------ | --------- | -------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `task_gid`   | string    | Yes      | —       | The task to operate on.                                                                                                                                                                                                                                                                                                                                        |
| `opt_pretty` | boolean   | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.                                                                            |
| `limit`      | integer   | No       | —       | Results per page. The number of objects to return per page. The value must be between 1 and 100.                                                                                                                                                                                                                                                               |
| `offset`     | string    | No       | —       | Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.* |
| `opt_fields` | string\[] | No       | —       | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.                                                                                                                                                    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "task_gid": {
        "type": "string",
        "description": "The task to operate on."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "limit": {
        "type": "integer",
        "description": "Results per page. The number of objects to return per page. The value must be between 1 and 100."
      },
      "offset": {
        "type": "string",
        "description": "Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.*"
      },
      "opt_fields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "actual_time_minutes",
            "approval_status",
            "assigned_by",
            "assigned_by.name",
            "assignee",
            "assignee.name",
            "assignee_section",
            "assignee_section.name",
            "assignee_status",
            "completed",
            "completed_at",
            "completed_by",
            "completed_by.name",
            "created_at",
            "created_by",
            "custom_fields",
            "custom_fields.asana_created_field",
            "custom_fields.created_by",
            "custom_fields.created_by.name",
            "custom_fields.currency_code",
            "custom_fields.custom_label",
            "custom_fields.custom_label_position",
            "custom_fields.date_value",
            "custom_fields.date_value.date",
            "custom_fields.date_value.date_time",
            "custom_fields.default_access_level",
            "custom_fields.description",
            "custom_fields.display_value",
            "custom_fields.enabled",
            "custom_fields.enum_options",
            "custom_fields.enum_options.color",
            "custom_fields.enum_options.enabled",
            "custom_fields.enum_options.name",
            "custom_fields.enum_value",
            "custom_fields.enum_value.color",
            "custom_fields.enum_value.enabled",
            "custom_fields.enum_value.name",
            "custom_fields.format",
            "custom_fields.has_notifications_enabled",
            "custom_fields.id_prefix",
            "custom_fields.input_restrictions",
            "custom_fields.is_formula_field",
            "custom_fields.is_global_to_workspace",
            "custom_fields.is_value_read_only",
            "custom_fields.multi_enum_values",
            "custom_fields.multi_enum_values.color",
            "custom_fields.multi_enum_values.enabled",
            "custom_fields.multi_enum_values.name",
            "custom_fields.name",
            "custom_fields.number_value",
            "custom_fields.people_value",
            "custom_fields.people_value.name",
            "custom_fields.precision",
            "custom_fields.privacy_setting",
            "custom_fields.reference_value",
            "custom_fields.reference_value.name",
            "custom_fields.representation_type",
            "custom_fields.resource_subtype",
            "custom_fields.text_value",
            "custom_fields.type",
            "custom_type",
            "custom_type.name",
            "custom_type_status_option",
            "custom_type_status_option.name",
            "dependencies",
            "dependents",
            "due_at",
            "due_on",
            "external",
            "external.data",
            "followers",
            "followers.name",
            "hearted",
            "hearts",
            "hearts.user",
            "hearts.user.name",
            "html_notes",
            "is_rendered_as_separator",
            "liked",
            "likes",
            "likes.user",
            "likes.user.name",
            "memberships",
            "memberships.project",
            "memberships.project.name",
            "memberships.section",
            "memberships.section.name",
            "modified_at",
            "name",
            "notes",
            "num_hearts",
            "num_likes",
            "num_subtasks",
            "offset",
            "parent",
            "parent.created_by",
            "parent.name",
            "parent.resource_subtype",
            "path",
            "permalink_url",
            "projects",
            "projects.name",
            "resource_subtype",
            "start_at",
            "start_on",
            "tags",
            "tags.name",
            "uri",
            "workspace",
            "workspace.name"
          ]
        },
        "description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
      }
    },
    "required": [
      "PCID",
      "task_gid"
    ]
  }
  ```
</Expandable>

***

## asana\_tasks\_get\_dependents\_for\_task

Get dependents from a task

**Parameters:**

| Parameter    | Type      | Required | Default | Description                                                                                                                                                                                                                                                                                                                                                    |
| ------------ | --------- | -------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `task_gid`   | string    | Yes      | —       | The task to operate on.                                                                                                                                                                                                                                                                                                                                        |
| `opt_pretty` | boolean   | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.                                                                            |
| `limit`      | integer   | No       | —       | Results per page. The number of objects to return per page. The value must be between 1 and 100.                                                                                                                                                                                                                                                               |
| `offset`     | string    | No       | —       | Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.* |
| `opt_fields` | string\[] | No       | —       | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.                                                                                                                                                    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "task_gid": {
        "type": "string",
        "description": "The task to operate on."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "limit": {
        "type": "integer",
        "description": "Results per page. The number of objects to return per page. The value must be between 1 and 100."
      },
      "offset": {
        "type": "string",
        "description": "Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.*"
      },
      "opt_fields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "actual_time_minutes",
            "approval_status",
            "assigned_by",
            "assigned_by.name",
            "assignee",
            "assignee.name",
            "assignee_section",
            "assignee_section.name",
            "assignee_status",
            "completed",
            "completed_at",
            "completed_by",
            "completed_by.name",
            "created_at",
            "created_by",
            "custom_fields",
            "custom_fields.asana_created_field",
            "custom_fields.created_by",
            "custom_fields.created_by.name",
            "custom_fields.currency_code",
            "custom_fields.custom_label",
            "custom_fields.custom_label_position",
            "custom_fields.date_value",
            "custom_fields.date_value.date",
            "custom_fields.date_value.date_time",
            "custom_fields.default_access_level",
            "custom_fields.description",
            "custom_fields.display_value",
            "custom_fields.enabled",
            "custom_fields.enum_options",
            "custom_fields.enum_options.color",
            "custom_fields.enum_options.enabled",
            "custom_fields.enum_options.name",
            "custom_fields.enum_value",
            "custom_fields.enum_value.color",
            "custom_fields.enum_value.enabled",
            "custom_fields.enum_value.name",
            "custom_fields.format",
            "custom_fields.has_notifications_enabled",
            "custom_fields.id_prefix",
            "custom_fields.input_restrictions",
            "custom_fields.is_formula_field",
            "custom_fields.is_global_to_workspace",
            "custom_fields.is_value_read_only",
            "custom_fields.multi_enum_values",
            "custom_fields.multi_enum_values.color",
            "custom_fields.multi_enum_values.enabled",
            "custom_fields.multi_enum_values.name",
            "custom_fields.name",
            "custom_fields.number_value",
            "custom_fields.people_value",
            "custom_fields.people_value.name",
            "custom_fields.precision",
            "custom_fields.privacy_setting",
            "custom_fields.reference_value",
            "custom_fields.reference_value.name",
            "custom_fields.representation_type",
            "custom_fields.resource_subtype",
            "custom_fields.text_value",
            "custom_fields.type",
            "custom_type",
            "custom_type.name",
            "custom_type_status_option",
            "custom_type_status_option.name",
            "dependencies",
            "dependents",
            "due_at",
            "due_on",
            "external",
            "external.data",
            "followers",
            "followers.name",
            "hearted",
            "hearts",
            "hearts.user",
            "hearts.user.name",
            "html_notes",
            "is_rendered_as_separator",
            "liked",
            "likes",
            "likes.user",
            "likes.user.name",
            "memberships",
            "memberships.project",
            "memberships.project.name",
            "memberships.section",
            "memberships.section.name",
            "modified_at",
            "name",
            "notes",
            "num_hearts",
            "num_likes",
            "num_subtasks",
            "offset",
            "parent",
            "parent.created_by",
            "parent.name",
            "parent.resource_subtype",
            "path",
            "permalink_url",
            "projects",
            "projects.name",
            "resource_subtype",
            "start_at",
            "start_on",
            "tags",
            "tags.name",
            "uri",
            "workspace",
            "workspace.name"
          ]
        },
        "description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
      }
    },
    "required": [
      "PCID",
      "task_gid"
    ]
  }
  ```
</Expandable>

***

## asana\_tasks\_get\_for\_project

Get tasks from a project

**Parameters:**

| Parameter         | Type      | Required | Default | Description                                                                                                                                                                                                                                                                                                                                                    |
| ----------------- | --------- | -------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `completed_since` | string    | No       | —       | Only return tasks that are either incomplete or that have been completed since this time. Accepts a date-time string or the keyword *now*.                                                                                                                                                                                                                     |
| `project_gid`     | string    | Yes      | —       | Globally unique identifier for the project.                                                                                                                                                                                                                                                                                                                    |
| `opt_pretty`      | boolean   | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.                                                                            |
| `limit`           | integer   | No       | —       | Results per page. The number of objects to return per page. The value must be between 1 and 100.                                                                                                                                                                                                                                                               |
| `offset`          | string    | No       | —       | Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.* |
| `opt_fields`      | string\[] | No       | —       | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.                                                                                                                                                    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "completed_since": {
        "type": "string",
        "description": "Only return tasks that are either incomplete or that have been completed since this time. Accepts a date-time string or the keyword *now*."
      },
      "project_gid": {
        "type": "string",
        "description": "Globally unique identifier for the project."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "limit": {
        "type": "integer",
        "description": "Results per page. The number of objects to return per page. The value must be between 1 and 100."
      },
      "offset": {
        "type": "string",
        "description": "Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.*"
      },
      "opt_fields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "actual_time_minutes",
            "approval_status",
            "assigned_by",
            "assigned_by.name",
            "assignee",
            "assignee.name",
            "assignee_section",
            "assignee_section.name",
            "assignee_status",
            "completed",
            "completed_at",
            "completed_by",
            "completed_by.name",
            "created_at",
            "created_by",
            "custom_fields",
            "custom_fields.asana_created_field",
            "custom_fields.created_by",
            "custom_fields.created_by.name",
            "custom_fields.currency_code",
            "custom_fields.custom_label",
            "custom_fields.custom_label_position",
            "custom_fields.date_value",
            "custom_fields.date_value.date",
            "custom_fields.date_value.date_time",
            "custom_fields.default_access_level",
            "custom_fields.description",
            "custom_fields.display_value",
            "custom_fields.enabled",
            "custom_fields.enum_options",
            "custom_fields.enum_options.color",
            "custom_fields.enum_options.enabled",
            "custom_fields.enum_options.name",
            "custom_fields.enum_value",
            "custom_fields.enum_value.color",
            "custom_fields.enum_value.enabled",
            "custom_fields.enum_value.name",
            "custom_fields.format",
            "custom_fields.has_notifications_enabled",
            "custom_fields.id_prefix",
            "custom_fields.input_restrictions",
            "custom_fields.is_formula_field",
            "custom_fields.is_global_to_workspace",
            "custom_fields.is_value_read_only",
            "custom_fields.multi_enum_values",
            "custom_fields.multi_enum_values.color",
            "custom_fields.multi_enum_values.enabled",
            "custom_fields.multi_enum_values.name",
            "custom_fields.name",
            "custom_fields.number_value",
            "custom_fields.people_value",
            "custom_fields.people_value.name",
            "custom_fields.precision",
            "custom_fields.privacy_setting",
            "custom_fields.reference_value",
            "custom_fields.reference_value.name",
            "custom_fields.representation_type",
            "custom_fields.resource_subtype",
            "custom_fields.text_value",
            "custom_fields.type",
            "custom_type",
            "custom_type.name",
            "custom_type_status_option",
            "custom_type_status_option.name",
            "dependencies",
            "dependents",
            "due_at",
            "due_on",
            "external",
            "external.data",
            "followers",
            "followers.name",
            "hearted",
            "hearts",
            "hearts.user",
            "hearts.user.name",
            "html_notes",
            "is_rendered_as_separator",
            "liked",
            "likes",
            "likes.user",
            "likes.user.name",
            "memberships",
            "memberships.project",
            "memberships.project.name",
            "memberships.section",
            "memberships.section.name",
            "modified_at",
            "name",
            "notes",
            "num_hearts",
            "num_likes",
            "num_subtasks",
            "offset",
            "parent",
            "parent.created_by",
            "parent.name",
            "parent.resource_subtype",
            "path",
            "permalink_url",
            "projects",
            "projects.name",
            "resource_subtype",
            "start_at",
            "start_on",
            "tags",
            "tags.name",
            "uri",
            "workspace",
            "workspace.name"
          ]
        },
        "description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
      }
    },
    "required": [
      "PCID",
      "project_gid"
    ]
  }
  ```
</Expandable>

***

## asana\_tasks\_get\_for\_section

Get tasks from a section

**Parameters:**

| Parameter         | Type      | Required | Default | Description                                                                                                                                                                                                                                                                                                                                                    |
| ----------------- | --------- | -------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `section_gid`     | string    | Yes      | —       | The globally unique identifier for the section.                                                                                                                                                                                                                                                                                                                |
| `opt_pretty`      | boolean   | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.                                                                            |
| `limit`           | integer   | No       | —       | Results per page. The number of objects to return per page. The value must be between 1 and 100.                                                                                                                                                                                                                                                               |
| `offset`          | string    | No       | —       | Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.* |
| `completed_since` | string    | No       | —       | Only return tasks that are either incomplete or that have been completed since this time. Accepts a date-time string or the keyword *now*.                                                                                                                                                                                                                     |
| `opt_fields`      | string\[] | No       | —       | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.                                                                                                                                                    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "section_gid": {
        "type": "string",
        "description": "The globally unique identifier for the section."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "limit": {
        "type": "integer",
        "description": "Results per page. The number of objects to return per page. The value must be between 1 and 100."
      },
      "offset": {
        "type": "string",
        "description": "Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.*"
      },
      "completed_since": {
        "type": "string",
        "description": "Only return tasks that are either incomplete or that have been completed since this time. Accepts a date-time string or the keyword *now*."
      },
      "opt_fields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "actual_time_minutes",
            "approval_status",
            "assigned_by",
            "assigned_by.name",
            "assignee",
            "assignee.name",
            "assignee_section",
            "assignee_section.name",
            "assignee_status",
            "completed",
            "completed_at",
            "completed_by",
            "completed_by.name",
            "created_at",
            "created_by",
            "custom_fields",
            "custom_fields.asana_created_field",
            "custom_fields.created_by",
            "custom_fields.created_by.name",
            "custom_fields.currency_code",
            "custom_fields.custom_label",
            "custom_fields.custom_label_position",
            "custom_fields.date_value",
            "custom_fields.date_value.date",
            "custom_fields.date_value.date_time",
            "custom_fields.default_access_level",
            "custom_fields.description",
            "custom_fields.display_value",
            "custom_fields.enabled",
            "custom_fields.enum_options",
            "custom_fields.enum_options.color",
            "custom_fields.enum_options.enabled",
            "custom_fields.enum_options.name",
            "custom_fields.enum_value",
            "custom_fields.enum_value.color",
            "custom_fields.enum_value.enabled",
            "custom_fields.enum_value.name",
            "custom_fields.format",
            "custom_fields.has_notifications_enabled",
            "custom_fields.id_prefix",
            "custom_fields.input_restrictions",
            "custom_fields.is_formula_field",
            "custom_fields.is_global_to_workspace",
            "custom_fields.is_value_read_only",
            "custom_fields.multi_enum_values",
            "custom_fields.multi_enum_values.color",
            "custom_fields.multi_enum_values.enabled",
            "custom_fields.multi_enum_values.name",
            "custom_fields.name",
            "custom_fields.number_value",
            "custom_fields.people_value",
            "custom_fields.people_value.name",
            "custom_fields.precision",
            "custom_fields.privacy_setting",
            "custom_fields.reference_value",
            "custom_fields.reference_value.name",
            "custom_fields.representation_type",
            "custom_fields.resource_subtype",
            "custom_fields.text_value",
            "custom_fields.type",
            "custom_type",
            "custom_type.name",
            "custom_type_status_option",
            "custom_type_status_option.name",
            "dependencies",
            "dependents",
            "due_at",
            "due_on",
            "external",
            "external.data",
            "followers",
            "followers.name",
            "hearted",
            "hearts",
            "hearts.user",
            "hearts.user.name",
            "html_notes",
            "is_rendered_as_separator",
            "liked",
            "likes",
            "likes.user",
            "likes.user.name",
            "memberships",
            "memberships.project",
            "memberships.project.name",
            "memberships.section",
            "memberships.section.name",
            "modified_at",
            "name",
            "notes",
            "num_hearts",
            "num_likes",
            "num_subtasks",
            "offset",
            "parent",
            "parent.created_by",
            "parent.name",
            "parent.resource_subtype",
            "path",
            "permalink_url",
            "projects",
            "projects.name",
            "resource_subtype",
            "start_at",
            "start_on",
            "tags",
            "tags.name",
            "uri",
            "workspace",
            "workspace.name"
          ]
        },
        "description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
      }
    },
    "required": [
      "PCID",
      "section_gid"
    ]
  }
  ```
</Expandable>

***

## asana\_tasks\_get\_for\_tag

Get tasks from a tag

**Parameters:**

| Parameter    | Type      | Required | Default | Description                                                                                                                                                                                                                                                                                                                                                    |
| ------------ | --------- | -------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `tag_gid`    | string    | Yes      | —       | Globally unique identifier for the tag.                                                                                                                                                                                                                                                                                                                        |
| `opt_pretty` | boolean   | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.                                                                            |
| `limit`      | integer   | No       | —       | Results per page. The number of objects to return per page. The value must be between 1 and 100.                                                                                                                                                                                                                                                               |
| `offset`     | string    | No       | —       | Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.* |
| `opt_fields` | string\[] | No       | —       | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.                                                                                                                                                    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "tag_gid": {
        "type": "string",
        "description": "Globally unique identifier for the tag."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "limit": {
        "type": "integer",
        "description": "Results per page. The number of objects to return per page. The value must be between 1 and 100."
      },
      "offset": {
        "type": "string",
        "description": "Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.*"
      },
      "opt_fields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "actual_time_minutes",
            "approval_status",
            "assigned_by",
            "assigned_by.name",
            "assignee",
            "assignee.name",
            "assignee_section",
            "assignee_section.name",
            "assignee_status",
            "completed",
            "completed_at",
            "completed_by",
            "completed_by.name",
            "created_at",
            "created_by",
            "custom_fields",
            "custom_fields.asana_created_field",
            "custom_fields.created_by",
            "custom_fields.created_by.name",
            "custom_fields.currency_code",
            "custom_fields.custom_label",
            "custom_fields.custom_label_position",
            "custom_fields.date_value",
            "custom_fields.date_value.date",
            "custom_fields.date_value.date_time",
            "custom_fields.default_access_level",
            "custom_fields.description",
            "custom_fields.display_value",
            "custom_fields.enabled",
            "custom_fields.enum_options",
            "custom_fields.enum_options.color",
            "custom_fields.enum_options.enabled",
            "custom_fields.enum_options.name",
            "custom_fields.enum_value",
            "custom_fields.enum_value.color",
            "custom_fields.enum_value.enabled",
            "custom_fields.enum_value.name",
            "custom_fields.format",
            "custom_fields.has_notifications_enabled",
            "custom_fields.id_prefix",
            "custom_fields.input_restrictions",
            "custom_fields.is_formula_field",
            "custom_fields.is_global_to_workspace",
            "custom_fields.is_value_read_only",
            "custom_fields.multi_enum_values",
            "custom_fields.multi_enum_values.color",
            "custom_fields.multi_enum_values.enabled",
            "custom_fields.multi_enum_values.name",
            "custom_fields.name",
            "custom_fields.number_value",
            "custom_fields.people_value",
            "custom_fields.people_value.name",
            "custom_fields.precision",
            "custom_fields.privacy_setting",
            "custom_fields.reference_value",
            "custom_fields.reference_value.name",
            "custom_fields.representation_type",
            "custom_fields.resource_subtype",
            "custom_fields.text_value",
            "custom_fields.type",
            "custom_type",
            "custom_type.name",
            "custom_type_status_option",
            "custom_type_status_option.name",
            "dependencies",
            "dependents",
            "due_at",
            "due_on",
            "external",
            "external.data",
            "followers",
            "followers.name",
            "hearted",
            "hearts",
            "hearts.user",
            "hearts.user.name",
            "html_notes",
            "is_rendered_as_separator",
            "liked",
            "likes",
            "likes.user",
            "likes.user.name",
            "memberships",
            "memberships.project",
            "memberships.project.name",
            "memberships.section",
            "memberships.section.name",
            "modified_at",
            "name",
            "notes",
            "num_hearts",
            "num_likes",
            "num_subtasks",
            "offset",
            "parent",
            "parent.created_by",
            "parent.name",
            "parent.resource_subtype",
            "path",
            "permalink_url",
            "projects",
            "projects.name",
            "resource_subtype",
            "start_at",
            "start_on",
            "tags",
            "tags.name",
            "uri",
            "workspace",
            "workspace.name"
          ]
        },
        "description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
      }
    },
    "required": [
      "PCID",
      "tag_gid"
    ]
  }
  ```
</Expandable>

***

## asana\_tasks\_get\_for\_user\_task\_list

Get tasks from a user task list

**Parameters:**

| Parameter            | Type      | Required | Default | Description                                                                                                                                                                                                                                                                                                                                                    |
| -------------------- | --------- | -------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `completed_since`    | string    | No       | —       | Only return tasks that are either incomplete or that have been completed since this time. Accepts a date-time string or the keyword *now*.                                                                                                                                                                                                                     |
| `user_task_list_gid` | string    | Yes      | —       | Globally unique identifier for the user task list.                                                                                                                                                                                                                                                                                                             |
| `opt_pretty`         | boolean   | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.                                                                            |
| `limit`              | integer   | No       | —       | Results per page. The number of objects to return per page. The value must be between 1 and 100.                                                                                                                                                                                                                                                               |
| `offset`             | string    | No       | —       | Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.* |
| `opt_fields`         | string\[] | No       | —       | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.                                                                                                                                                    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "completed_since": {
        "type": "string",
        "description": "Only return tasks that are either incomplete or that have been completed since this time. Accepts a date-time string or the keyword *now*."
      },
      "user_task_list_gid": {
        "type": "string",
        "description": "Globally unique identifier for the user task list."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "limit": {
        "type": "integer",
        "description": "Results per page. The number of objects to return per page. The value must be between 1 and 100."
      },
      "offset": {
        "type": "string",
        "description": "Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.*"
      },
      "opt_fields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "actual_time_minutes",
            "approval_status",
            "assigned_by",
            "assigned_by.name",
            "assignee",
            "assignee.name",
            "assignee_section",
            "assignee_section.name",
            "assignee_status",
            "completed",
            "completed_at",
            "completed_by",
            "completed_by.name",
            "created_at",
            "created_by",
            "custom_fields",
            "custom_fields.asana_created_field",
            "custom_fields.created_by",
            "custom_fields.created_by.name",
            "custom_fields.currency_code",
            "custom_fields.custom_label",
            "custom_fields.custom_label_position",
            "custom_fields.date_value",
            "custom_fields.date_value.date",
            "custom_fields.date_value.date_time",
            "custom_fields.default_access_level",
            "custom_fields.description",
            "custom_fields.display_value",
            "custom_fields.enabled",
            "custom_fields.enum_options",
            "custom_fields.enum_options.color",
            "custom_fields.enum_options.enabled",
            "custom_fields.enum_options.name",
            "custom_fields.enum_value",
            "custom_fields.enum_value.color",
            "custom_fields.enum_value.enabled",
            "custom_fields.enum_value.name",
            "custom_fields.format",
            "custom_fields.has_notifications_enabled",
            "custom_fields.id_prefix",
            "custom_fields.input_restrictions",
            "custom_fields.is_formula_field",
            "custom_fields.is_global_to_workspace",
            "custom_fields.is_value_read_only",
            "custom_fields.multi_enum_values",
            "custom_fields.multi_enum_values.color",
            "custom_fields.multi_enum_values.enabled",
            "custom_fields.multi_enum_values.name",
            "custom_fields.name",
            "custom_fields.number_value",
            "custom_fields.people_value",
            "custom_fields.people_value.name",
            "custom_fields.precision",
            "custom_fields.privacy_setting",
            "custom_fields.reference_value",
            "custom_fields.reference_value.name",
            "custom_fields.representation_type",
            "custom_fields.resource_subtype",
            "custom_fields.text_value",
            "custom_fields.type",
            "custom_type",
            "custom_type.name",
            "custom_type_status_option",
            "custom_type_status_option.name",
            "dependencies",
            "dependents",
            "due_at",
            "due_on",
            "external",
            "external.data",
            "followers",
            "followers.name",
            "hearted",
            "hearts",
            "hearts.user",
            "hearts.user.name",
            "html_notes",
            "is_rendered_as_separator",
            "liked",
            "likes",
            "likes.user",
            "likes.user.name",
            "memberships",
            "memberships.project",
            "memberships.project.name",
            "memberships.section",
            "memberships.section.name",
            "modified_at",
            "name",
            "notes",
            "num_hearts",
            "num_likes",
            "num_subtasks",
            "offset",
            "parent",
            "parent.created_by",
            "parent.name",
            "parent.resource_subtype",
            "path",
            "permalink_url",
            "projects",
            "projects.name",
            "resource_subtype",
            "start_at",
            "start_on",
            "tags",
            "tags.name",
            "uri",
            "workspace",
[...]
